Subject: Re: [PATCH] doc/technical: remove outdated MIDX default note

From: Junio C Hamano <[email-masked]>
Date: Thu, 23 Sep 2021 13:27:31 -0700

Taylor Blau <[email-masked]> writes:

> On Thu, Sep 23, 2021 at 09:47:03AM -0400, Derrick Stolee wrote:
>> On 9/22/2021 6:13 PM, Eric Wong wrote:
>> > Multi-pack-index files are used by default since
>> > commit 18e449f86b74bab35b150549c8342d252fe7ae00, so the
>> > outdated note was misleading.
>>
>> You are correct that the note is misleading, but it is still correct.
>>
>> A user can _disable_ reading MIDX files by setting core.multiPackIndex
>> to false. If this was in the user-facing docs, not the technical docs,
>> then I might push back on trying to make that distinction.
>
> It may present a fuller picture to instead say:
>
>   The core.multiPackIndex config setting must be on (which is the default)
>   to consume MIDX files. Setting it to `false` prevents Git from reading a
>   MIDX file, even if one exists.

Do you want to replace the one-line sentence with that paragraph,
instead of removing it, in a replacement patch?